## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVosSector Struct Reference

This interface bridges between a VOS sector and a Crystal Space sector. More...

`#include <inetwork/vosa3dl.h>`

Inheritance diagram for iVosSector:

[legend]
List of all members.

## Public Member Functions

virtual void | CacheLightmaps ()=0
| Write out lightmap caches for any lightmapped objects in the sector.
virtual const csSet< csPtrKey< iVosObject3D > > & | GetObject3Ds ()=0
| Get the list of object3ds which have been loaded into this sector.
virtual csRef< iSector > | GetSector ()=0
| Get the Crystal Space iSector for this sector.
virtual void | Load (iProgressMeter *progress=0)=0
| Begin loading this sector in the background.

## Detailed Description

This interface bridges between a VOS sector and a Crystal Space sector.

Definition at line 82 of file vosa3dl.h.

## Member Function Documentation

virtual void iVosSector::CacheLightmaps | ( |  | ) | `[pure virtual]`

| Write out lightmap caches for any lightmapped objects in the sector.

virtual const csSet< csPtrKey<iVosObject3D> >& iVosSector::GetObject3Ds | ( |  | ) | `[pure virtual]`

| Get the list of object3ds which have been loaded into this sector. This list will change in size as objects are loaded and removed - does not represent the list of objects in the A3DL sector

virtual csRef<iSector> iVosSector::GetSector | ( |  | ) | `[pure virtual]`

| Get the Crystal Space iSector for this sector. This will be empty until Load() is called.

virtual void iVosSector::Load | ( | iProgressMeter * | progress = `0` | ) | `[pure virtual]`

Begin loading this sector in the background.

Network activity occurs in another thread, so this method returns immediately. An event is posted to the global event queue when the download is complete.

Parameters:

  | progress | if supplied, this will be called back (in the CS thread) periodically to indicate download progress

The documentation for this struct was generated from the following file:

- inetwork/vosa3dl.h